# Codeception Test Suite Configuration
#
# Suite for acceptance tests.
# Perform tests in browser using WPWebDriver.

actor: AcceptanceTester
modules:
  enabled:
    - WPWebDriver
  config:
    WPWebDriver:
      url: '%TEST_SITE_WP_URL%'
      adminUsername: 'admin'
      adminPassword: 'admin'
      adminPath: '/wp-admin'
      browser: chrome
      host: localhost
      port: '%TEST_SITE_WEBDRIVER_PORT%'
      window_size: 1024x768
      capabilities:
        chromeOptions:
          args: ["--headless", "--disable-gpu", "--proxy-server='direct://'", "--proxy-bypass-list=*"]
